%def_without kde

Name: kemuconfig
Version: 0.2
Release: alt0.8

Summary: A program to manage Creative SB Live/Audigy sound card
Group: System/Configuration/Hardware
License: GPL
Url: http://kemuconfig.tuxfamily.org

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/%name-%version.tar.bz2

%define emu10k1_tools_ver 20021121-alt1
Requires: emu10k1-tools >= %emu10k1_tools_ver

%if_with kde 
Requires: kdelibs-gcc_compiled = %__gcc_version_base
BuildPreReq: kdelibs-devel
%endif

# Automatically added by buildreq on Sat Dec 28 2002
#BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ glibc-devel-static libGLU libXft libexpat libfontconfig libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel objprelink zlib-devel
BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ glibc-devel-static libGLU libXft 
BuildRequires: libexpat libfontconfig libjpeg-devel liblcms libmng libpng-devel libqt3-devel 
BuildRequires: libstdc++-devel zlib-devel

# requires for menu.
BuildRequires: kdelibs-devel

%description
KEmuConfig is a front-end for emu-dspmgr. It allow to manage Creative
SoundBlaster Live and Audigy sound card. At this time, it allows to
manage DSP I/O routes.

%define qtdir %_libdir/qt3

%prep
%setup -q

%build
%configure \
	--with-qt-dir=%qtdir \
	--disable-rpath \
%if_without kde
	--disable-kde
%endif

%make_build


%install
%make_install DESTDIR=%buildroot \
%if_without kde
	kde_appsdir=%_datadir/applnk \
	kde_icondir=%_iconsdir \
%endif	
	install

# menu
%__mkdir_p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Configuration/Hardware" \
    %buildroot/%_datadir/applnk/Applications/%name.desktop \
    %buildroot/%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_datadir/*/*/%name.desktop
%_iconsdir/*/*/*/%name.png
%_menudir/%name
%doc AUTHORS README

%changelog
* Mon Sep 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2-alt0.8
- new version.

* Sat Dec 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1-alt0.8
- First build for Sisyphus.
